/**
 * DREAM
 * Copyright (C) 2003 2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Vivien Quema
 * Contributor(s): 
 */

package org.objectweb.dream.message.manager;

/**
 * An attribute controller for message manager dedicated to one type of non
 * extensible messages. Such messages are represented by a class, whose name can
 * be set/retrieved using this controller.
 */
public interface NonExtensibleMessageManagerAttributeController
    extends
      MessageManagerAttributeController
{

  /**
   * Returns the name of the class of non extensible messages that are managed
   * by the manager to which this interface belongs.
   * 
   * @return the name of the class of messages.
   */
  String getMessageClassName();

  /**
   * Sets the name of the class of non extensible messages that are managed by
   * the manager to which this interface belongs.
   * 
   * @param name the name of the class of messages.
   */
  void setMessageClassName(String name);
}